/*
  // almarai hosted locally
  @import url("https://fonts.googleapis.com/css2?family=Almarai:wght@400;700&display=swap");
  @import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@24,500,1,200&display=swap");
*/

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

:root {
  --base-fontsize: 16px;
  --logo-spacing: 1rem;
  --logo-size: var(--height-medium);
  --logo-organisation-mobile: 2.6rem;
  --content-max-width: 24rem;
  --spacing-x-small: .214rem;
  --spacing-small: .5rem;
  --spacing-medium: 1rem;
  --spacing-large: 1.3rem;
  --spacing-x-large: 2rem;
  --spacing-xx-large: 2.8rem;
  --fontsize-small: .75rem;
  --fontsize-medium: 1rem;
  --fontsize-large: 1.3rem;
  --fontsize-x-large: 1.7rem;
  --fontsize-xx-large: 2.3rem;
  --height-x-small: 2rem;
  --height-small: 2.5rem;
  --height-medium: 3rem;
  --radius-none: 0;
  --radius-small: .25rem;
  --radius-medium: .85rem;
  --radius-round: 10rem;
  --color-grey-000: #FFFFFF;
  --color-grey-200: #F9F9F9;
  --color-grey-300: #F2F2F2;
  --color-grey-400: #DDDDE0;
  --color-grey-500: #B3B3B8;
  --color-grey-700: #8B8B90;
  --color-grey-800: #747476;
  --color-grey-900: #28282C;
  --color-grey-990: #0D0D0E;
  --color-blue-200: #D5E0EB;
  --color-blue-500: #31679B;
  --color-green-200: #CCE2DE;
  --color-green-500: #006E5B;
  --color-red-200: #FAE2DB;
  --color-red-500: #E4704A;
  --color-purple-200: #D7CEDF;
  --color-purple-500: #74528E;
  --color-orange-200: #FAEBD3;
  --color-orange-500: #E59925;
  --color-yellow-200: #FCF4DC;
  --color-yellow-500: #F0C952;
  --color-semantic-blue-200: #D8E6F3;
  --color-semantic-blue-500: #31679B;
  --color-semantic-green-200: #D1F0D6;
  --color-semantic-green-500: #006E5B;
  --color-semantic-orange-200: #FAEBD4;
  --color-semantic-orange-500: #CB8418;
  --color-semantic-red-200: #F8D3D1;
  --color-semantic-red-500: #DD3228;
  --color-body: var(--color-grey-900);
  --color-body-diapositive: var(--color-grey-200);
  --color-environment-primary: var(--color-grey-900);
  --color-environment-secondary: var(--color-grey-800);
  --color-environment-primary-text: var(--color-body-diapositive);
  --color-environment-secondary-text: var(--color-body-diapositive);
  --color-environment-bar-text: var(--color-body-diapositive);
  --text-environment-bar: '';
  --color-semantic-success-text: var(--color-semantic-green-200);
  --color-semantic-success-surface: var(--color-semantic-green-500);
  --color-semantic-notify-text: var(--color-semantic-blue-200);
  --color-semantic-notify-surface: var(--color-semantic-blue-500);
  --color-semantic-warn-text: var(--color-semantic-orange-200);
  --color-semantic-warn-surface: var(--color-semantic-orange-500);
  --color-semantic-error-text: var(--color-semantic-red-200);
  --color-semantic-error-surface: var(--color-semantic-red-500);
  --surface-vignet: var(--color-grey-900);
  --text-vignet: var(--color-body-diapositive);
}

.xx-environment-training,
.xx-environment-preproduction,
.xx-environment-staging,
.xx-environment-test {
  --color-environment-secondary-text: var(--color-body);
}

.xx-environment-training {
  --color-environment-primary-text: var(--color-body);
}

.xx-environment-demo {
  --text-environment-bar: 'Demo omgeving - Te gebruiken voor het uitproberen van nieuwe functionaliteit. Gegevens worden NIET permanent opgeslagen.';
  --surface-environment: var(--color-grey-500);
  --color-environment-bar-text: var(--color-body);
}

.xx-environment-development {
  --text-environment-bar: 'Development';
  --surface-environment: var(--color-grey-900);
}

.xx-environment-preproduction {
  --text-environment-bar: 'Pre-productie omgeving - Niet gebruiken voor dagelijkse werkzaamheden. De inhoud wordt regelmatig verwijderd.';
  --color-environment-primary: var(--color-green-500);
  --color-environment-secondary: var(--color-green-200);
  --surface-environment: var(--color-environment-primary);
}

.xx-environment-staging {
  --text-environment-bar: 'Staging omgeving - Niet gebruiken voor dagelijkse werkzaamheden. De inhoud wordt regelmatig verwijderd.';
  --color-environment-primary: var(--color-blue-500);
  --color-environment-secondary: var(--color-blue-200);
  --surface-environment: var(--color-environment-primary);
}

.xx-environment-test {
  --text-environment-bar: 'Test omgeving - de inhoud van deze omgeving wordt regelmatig verwijderd';
  --color-environment-primary: var(--color-semantic-red-500);
  --color-environment-secondary: var(--color-semantic-red-200);
  --surface-environment: var(--color-environment-primary);
}

.xx-environment-training {
  --text-environment-bar: 'Training omgeving - Niet gebruiken voor dagelijkse werkzaamheden. De inhoud wordt regelmatig verwijderd.';
  --color-environment-primary: var(--color-yellow-500);
  --color-environment-secondary: var(--color-yellow-200);
  --surface-environment: var(--color-environment-primary);
  --color-environment-bar-text: var(--color-body);
}

.xx-app-logo-blue .xx-app-logo-vignet {
  --surface-vignet: var(--color-blue-500);
}

.xx-app-logo-green .xx-app-logo-vignet {
  --surface-vignet: var(--color-green-500);
}

.xx-app-logo-orange .xx-app-logo-vignet {
  --surface-vignet: var(--color-orange-500);
  --text-vignet: var(--color-body);
}

.xx-app-logo-purple .xx-app-logo-vignet {
  --surface-vignet: var(--color-purple-500);
}

.xx-app-logo-red .xx-app-logo-vignet {
  --surface-vignet: var(--color-red-500);
  --text-vignet: var(--color-body);
}

.xx-app-logo-yellow .xx-app-logo-vignet {
  --surface-vignet: var(--color-yellow-500);
  --text-vignet: var(--color-body);
}

html,
body {
  height: 100%;
  font-family: "Almarai", "Times new Roman", "Helvetica neue", "Arial", sans-serif;
  font-size: var(--base-fontsize);
  color: var(--color-body);
}

.xx-container-layout {
  display: grid;
  grid-template-columns: 4fr 6fr;
  gap: 0px 0px;
  height: 100%;
  grid-template-areas: "client          photo"
    "header          photo"
    "main            photo"
    "footer          photo"
    "support_mobile  photo";
  grid-template-rows: 0fr auto 1fr;
}

.xx-app-header {
  padding: calc(var(--spacing-x-large) * 2) var(--spacing-xx-large) var(--spacing-x-large) var(--spacing-xx-large);
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: header;
}

.xx-app-header-container {
  max-width: var(--content-max-width);
  flex: 1;
}

.xx-login-content {
  padding: 0 var(--spacing-xx-large);
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: main;
}

.xx-login-section {
  flex: 1;
  max-width: var(--content-max-width);
  margin-bottom: calc(var(--spacing-x-large) * 2.5);
}

.xx-login-footer {
  padding: var(--spacing-large) var(--spacing-x-large);
  font-size: var(--fontsize-small);
  display: flex;
  gap: var(--spacing-large);
  flex-wrap: wrap;
  align-items: baseline;
}

.xx-header-page {
  font-size: var(--fontsize-x-large);
  font-weight: 100;
}

.xx-header-section {
  font-size: var(--fontsize-large);
  font-weight: 100;
}

.xx-header-paragraph {
  font-size: var(--fontsize-medium);
  font-weight: 700;
}

*:focus-visible {
  outline: 2px solid var(--color-grey-900);
}

.xx-app-logo {
  display: flex;
  align-items: center;
  gap: var(--logo-spacing);
  font-size: var(--fontsize-large);
  font-weight: 600;
}

.xx-app-logo-vignet {
  background: var(--surface-vignet);
  color: var(--text-vignet);
  display: inline-flex;
  justify-content: center;
  align-items: center;
  height: var(--logo-size);
  width: var(--logo-size);
  border-radius: calc(var(--logo-size) / 3)/calc(var(--logo-size) / 2.65);
}

.xx-login-header {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  margin-bottom: var(--spacing-small);
}

.xx-login-form {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-small);
}

.xx-login-form>.xx-btn {
  margin-top: var(--spacing-medium);
}

.xx-login-form>.xx-btn~.xx-btn {
  margin-top: unset;
}

.xx-login-input {
  padding-inline: var(--spacing-medium);
  height: var(--height-medium);
  border: solid 1px var(--color-grey-500);
  border-radius: var(--radius-small);
}

.xx-login-input::placeholder {
  opacity: 1;
  color: var(--color-grey-500);
}

.xx-login-input:hover {
  border-color: var(--color-grey-700);
}

.xx-login-input:focus,
.xx-login-input:focus-visible {
  outline-offset: unset;
  outline: 1px solid var(--color-grey-700);
}

.xx-login-image {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.xx-btn {
  border: 0;
  border-radius: var(--radius-round);
  padding: var(--spacing-small);
}

.xx-btn:hover {
  cursor: pointer;
}

.xx-btn-primary {
  background-color: var(--color-environment-primary);
  color: var(--color-environment-primary-text);
}

.xx-btn-primary:hover,
.xx-btn-primary:focus-visible {
  background: var(--color-grey-990);
  color: var(--color-grey-200);
}

.xx-btn-secondary {
  background-color: var(--color-environment-secondary);
  color: var(--color-environment-secondary-text);
}

.xx-btn-secondary:hover,
.xx-btn-secondary:focus-visible {
  background: var(--color-grey-990);
  color: var(--color-grey-200);
}

.xx-link {
  color: var(--color-body);
}

.xx-link:hover {
  text-decoration: underline;
  text-underline-offset: calc(var(--spacing-x-small) / 2);
}

.xx-link:focus-visible {
  outline-offset: var(--spacing-x-small);
  border-radius: var(--radius-small);
}

.xx-link-incognito {
  text-decoration: none;
}

.xx-link-small {
  font-size: var(--fontsize-small);
}

.xx-password-container {
  position: relative;
}

.xx-password-container .xx-login-input {
  width: 100%;
  padding-right: var(--spacing-xx-large);
}

.xx-password-toggle {
  position: absolute;
  right: 0;
  line-height: var(--height-medium);
  padding-inline: var(--spacing-medium);
  color: var(--color-body);
  cursor: pointer;
}

body:not(.xx-environment) .xx-environment-name {
  display: none;
}

.xx-environment .xx-container-layout {
  height: calc(100% - var(--height-x-small));
}

.xx-environment::before {
  display: flex;
  height: var(--height-x-small);
  font-size: var(--fontsize-medium);
  align-items: center;
  justify-content: center;
  content: var(--text-environment-bar);
  background: var(--surface-environment);
  color: var(--color-environment-bar-text);
  padding-inline: var(--spacing-small);
}

.xx-environment-name {
  text-align: right;
}

.xx-environment-name::before {
  display: inline-block;
  content: "";
  height: .65rem;
  width: .65rem;
  margin-right: var(--spacing-small);
  border-radius: var(--radius-round);
  background: var(--surface-environment);
}

.xx-sidecolumn {
  position: relative;
  grid-area: photo;
}

.xx-clientspecifics-container {
  background-color: var(--color-grey-200);
  border-radius: var(--radius-medium);
  position: absolute;
  right: var(--spacing-xx-large);
  top: var(--spacing-xx-large);
  padding: var(--spacing-large) var(--spacing-x-large);
}

.xx-clientspecifics-container:not(:has(*)),
.xx-clientspecifics-container:empty {
  display: none;
}

.xx-clientspecifics-header {
  font-size: var(--fontsize-large);
}

.xx-clientspecifics-logo {
  height: var(--logo-size);
  filter: grayscale(1) brightness(35%) opacity(0.9);
}

.xx-clientspecifics-support {
  display: flex;
  gap: var(--spacing-small);
  justify-content: flex-end;
}

.xx-clientspecifics-support-mobile {
  display: none;
}

.xx-clientspecifics-logo+.xx-clientspecifics-support {
  margin-top: var(--spacing-small);
}

.xx-login-footer {
  grid-area: footer;
}

.xx-login-footer-appname {
  font-size: var(--fontsize-medium);
}

.xx-login-footer-logo {
  height: 25px;
  width: 100px;
}

@media (max-width: 1080px) {
  .xx-login-footer {
    gap: var(--spacing-x-small);
    padding: var(--spacing-x-large);
  }
}

@media (max-width: 768px) {
  .xx-environment::before {
    display: flex;
    height: var(--height-medium);
    font-size: var(--fontsize-small);
  }

  .xx-environment-name {
    font-size: var(--fontsize-small);
  }

  .xx-environment .xx-container-layout {
    height: calc(100% - var(--height-medium));
  }

  .xx-container-layout {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 0fr 0fr auto 0fr 0fr;
    padding-bottom: var(--spacing-x-large);
  }

  .xx-sidecolumn {
    grid-area: client;
    display: flex;
    background: var(--color-grey-300);
    padding-inline: var(--spacing-xx-large);
    justify-content: center;
  }

  .xx-app-header {
    padding: var(--spacing-xx-large) var(--spacing-xx-large) var(--spacing-large);
  }

  .xx-clientspecifics-container {
    position: relative;
    top: unset;
    right: unset;
    padding: unset;
    background: unset;
    flex: 1;
    max-width: var(--content-max-width);
    padding-block: var(--spacing-x-large);
  }

  .xx-clientspecifics-container:not(.xx-clientspecifics-container:has(.xx-clientspecifics-logo, .xx-clientspecifics-header)) {
    display: none;
  }

  .xx-clientspecifics-header {
    font-size: var(--fontsize-small);
    font-weight: normal;
  }

  .xx-clientspecifics-logo {
    max-width: calc(100vw - var(--spacing-x-large) * 2);
    max-height: var(--logo-organisation-mobile);
    filter: grayscale(1) brightness(72%) opacity(0.8);
    display: block;
  }

  .xx-clientspecifics-support-desktop {
    display: none;
  }

  .xx-clientspecifics-support-mobile {
    display: flex;
    justify-content: center;
    grid-area: support_mobile;
    gap: var(--spacing-medium);
    font-size: var(--fontsize-small);
  }

  .xx-login-image {
    display: none;
  }

  .xx-login-footer {
    flex-direction: column;
    align-items: center;
    padding-bottom: 0;
  }
}

/* CUSTOM */

.ie-warning {
  display: none;
}

.btn-secondary {
  text-align: center;
  text-decoration: none;
}

.customer-logo {
  filter: unset;
}

* {
  font-family: "Almarai", "Times new Roman", "Helvetica neue", "Arial", sans-serif !important;
}